package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.BShanghu;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 商户Mapper接口
 *
 * @author ruoyi
 * @date 2023-11-21
 */
public interface BShanghuMapper {
    /**
     * 查询商户
     *
     * @param id 商户主键
     * @return 商户
     */
    BShanghu selectBShanghuById(Long id);

    /**
     * 查询商户列表
     *
     * @param bShanghu 商户
     * @return 商户集合
     */
    List<BShanghu> selectBShanghuList(BShanghu bShanghu);

    /**
     * 新增商户
     *
     * @param bShanghu 商户
     * @return 结果
     */
    int insertBShanghu(BShanghu bShanghu);

    /**
     * 修改商户
     *
     * @param bShanghu 商户
     * @return 结果
     */
    int updateBShanghu(BShanghu bShanghu);

    /**
     * 删除商户
     *
     * @param id 商户主键
     * @return 结果
     */
    int deleteBShanghuById(Long id);

    /**
     * 批量删除商户
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteBShanghuByIds(Long[] ids);

    /**
     * 为商户批量填充广告
     *
     * @param posterId   广告id
     * @param list 商户id集合
     */
    void editPostIdByIds(@Param("posterId") Long posterId, @Param("list") List<Long> list);

    /**
     * 为商户批量填充广告
     *
     * @param posterId    广告id
     * @param shanghuCity 商户城市
     * @param shanghuName 商户名称
     */
    void editPostIdByReq(@Param("posterId") Long posterId, @Param("shanghuCity") String shanghuCity, @Param("shanghuName") String shanghuName);
}
